> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read merchant location

>  

This endpoint returns the specified `merchant_location` resource. The `merchant_location_guid` can be found on `transaction` objects.


## OpenAPI

````yaml openapi/platform-api/v20111101.yaml GET /merchant_locations/{merchant_location_guid}
openapi: 3.0.0
info:
  contact:
    name: MX Platform API
    url: https://www.mx.com/products/platform-api
  description: >
    The MX Platform API is a powerful, fully-featured API designed to make
    aggregating and enhancing financial data easy and reliable. It can
    seamlessly connect your app or website to tens of thousands of financial
    institutions.
  title: MX Platform API
  version: '20111101'
servers:
  - url: https://int-api.mx.com
  - url: https://api.mx.com
security:
  - basicAuth: []
tags:
  - name: authorization
  - name: widgets
  - name: users
  - name: members
  - name: institutions
  - name: accounts
  - name: transactions
  - name: microdeposits
  - name: managed data
  - name: transaction rules
  - name: statements
  - name: merchants
  - name: categories
  - name: insights
  - name: investment holdings
  - name: spending plan
  - name: goals
  - name: budgets
  - name: monthly cash flow profile
  - name: notifications
  - name: taggings
  - name: tags
  - name: deprecated
  - name: processor token
  - name: verifiable credentials
  - name: rewards
  - name: ach return
paths:
  /merchant_locations/{merchant_location_guid}:
    get:
      tags:
        - merchants
      summary: Read merchant location
      description: >-
        This endpoint returns the specified `merchant_location` resource. The
        `merchant_location_guid` can be found on `transaction` objects.
      operationId: readMerchantLocation
      parameters:
        - $ref: '#/components/parameters/merchantLocationGuid'
      responses:
        '200':
          content:
            application/vnd.mx.api.v1+json:
              schema:
                $ref: '#/components/schemas/MerchantLocationResponseBody'
          description: OK
components:
  parameters:
    merchantLocationGuid:
      description: The unique id for a `merchant_location`.
      example: MCH-09466f0a-fb58-9d1a-bae2-2af0afbea621
      in: path
      name: merchant_location_guid
      required: true
      schema:
        type: string
  schemas:
    MerchantLocationResponseBody:
      properties:
        merchant_location:
          $ref: '#/components/schemas/MerchantLocationResponse'
      type: object
    MerchantLocationResponse:
      properties:
        city:
          example: Greenwood Village
          nullable: true
          type: string
        country:
          example: US
          nullable: true
          type: string
        created_at:
          example: '2020-04-13 21:05:09.000000000 Z'
          nullable: true
          type: string
        guid:
          example: MCL-00024e59-18b5-4d79-b879-2a7896726fea
          nullable: true
          type: string
        latitude:
          example: 39.5963005
          nullable: true
          type: number
        longitude:
          example: -104.89158799999998
          nullable: true
          type: number
        merchant_guid:
          example: MCH-09466f0a-fb58-9d1a-bae2-2af0afbea621
          nullable: true
          type: string
        phone_number:
          example: (303) 689-0728
          nullable: true
          type: string
        postal_code:
          example: '801121436'
          nullable: true
          type: string
        state:
          example: CO
          nullable: true
          type: string
        street_address:
          example: 8547 E Arapahoe Rd, Ste 1
          nullable: true
          type: string
        updated_at:
          example: '2020-04-13 21:05:09.000000000 Z'
          nullable: true
          type: string
      type: object
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http

````